package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = ""
)
@XmlRootElement(
   name = "GROUP"
)
public class GROUP {
   @XmlAttribute(
      name = "NAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String name;
   @XmlAttribute(
      name = "DESCRIPTION"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String description;
   @XmlAttribute(
      name = "ORDER",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String order;
   @XmlAttribute(
      name = "TYPE",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String type;
   @XmlAttribute(
      name = "EXPRESSION"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String expression;

   public String getNAME() {
      return this.name;
   }

   public void setNAME(String value) {
      this.name = value;
   }

   public String getDESCRIPTION() {
      return this.description;
   }

   public void setDESCRIPTION(String value) {
      this.description = value;
   }

   public String getORDER() {
      return this.order;
   }

   public void setORDER(String value) {
      this.order = value;
   }

   public String getTYPE() {
      return this.type;
   }

   public void setTYPE(String value) {
      this.type = value;
   }

   public String getEXPRESSION() {
      return this.expression;
   }

   public void setEXPRESSION(String value) {
      this.expression = value;
   }
}
